io.vertx.ext.consul

## Class ServiceOptions

- java.lang.Object
- - io.vertx.ext.consul.ServiceOptions

-     public class ServiceOptions
      extends Object

  Options used to register service.
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceOptions()` Default constructor
    `ServiceOptions(JsonObject options)` Constructor from JSON
    `ServiceOptions(ServiceOptions options)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Get service address
    `List<CheckOptions>` | `getCheckListOptions()` Get checks options of service
    `CheckOptions` | `getCheckOptions()` Get check options of service
    `String` | `getId()` Get the ID of session
    `Map<String,String>` | `getMeta()` Get arbitrary KV metadata linked to the service instance.
    `String` | `getName()` Get service name
    `int` | `getPort()` Get service port
    `List<String>` | `getTags()` Get list of tags associated with service
    `ServiceOptions` | `setAddress(String address)` Set service address
    `ServiceOptions` | `setCheckListOptions(List<CheckOptions> checkListOptions)` Set checks options of service
    `ServiceOptions` | `setCheckOptions(CheckOptions checkOptions)` Set check options of service
    `ServiceOptions` | `setId(String id)` Set the ID of session
    `ServiceOptions` | `setMeta(Map<String,String> meta)` Specifies arbitrary KV metadata linked to the service instance.
    `ServiceOptions` | `setName(String name)` Set service name
    `ServiceOptions` | `setPort(int port)` Set service port
    `ServiceOptions` | `setTags(List<String> tags)` Set list of tags associated with service
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceOptions

          public ServiceOptions()

      Default constructor

    - #### ServiceOptions

          public ServiceOptions(ServiceOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### ServiceOptions

          public ServiceOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getId

          public String getId()

      Get the ID of session
      Returns:
        the ID of session

    - #### setId

          public ServiceOptions setId(String id)

      Set the ID of session
      Parameters:
        `id` - the ID of session
      Returns:
        reference to this, for fluency

    - #### getName

          public String getName()

      Get service name
      Returns:
        service name

    - #### setName

          public ServiceOptions setName(String name)

      Set service name
      Parameters:
        `name` - service name
      Returns:
        reference to this, for fluency

    - #### getTags

          public List<String> getTags()

      Get list of tags associated with service
      Returns:
        list of tags

    - #### setTags

          public ServiceOptions setTags(List<String> tags)

      Set list of tags associated with service
      Parameters:
        `tags` - list of tags
      Returns:
        reference to this, for fluency

    - #### getAddress

          public String getAddress()

      Get service address
      Returns:
        service address

    - #### setAddress

          public ServiceOptions setAddress(String address)

      Set service address
      Parameters:
        `address` - service address
      Returns:
        reference to this, for fluency

    - #### getMeta

          public Map<String,String> getMeta()

      Get arbitrary KV metadata linked to the service instance.
      Returns:
        arbitrary KV metadata

    - #### setMeta

          public ServiceOptions setMeta(Map<String,String> meta)

      Specifies arbitrary KV metadata linked to the service instance.
      Parameters:
        `meta` - arbitrary KV metadata
      Returns:
        reference to this, for fluency

    - #### getPort

          public int getPort()

      Get service port
      Returns:
        service port

    - #### setPort

          public ServiceOptions setPort(int port)

      Set service port
      Parameters:
        `port` - service port
      Returns:
        reference to this, for fluency

    - #### getCheckOptions

          public CheckOptions getCheckOptions()

      Get check options of service
      Returns:
        check options

    - #### setCheckOptions

          public ServiceOptions setCheckOptions(CheckOptions checkOptions)

      Set check options of service
      Parameters:
        `checkOptions` - check options
      Returns:
        reference to this, for fluency

    - #### getCheckListOptions

          public List<CheckOptions> getCheckListOptions()

      Get checks options of service
      Returns:
        checks options

    - #### setCheckListOptions

          public ServiceOptions setCheckListOptions(List<CheckOptions> checkListOptions)

      Set checks options of service
      Parameters:
        `checkListOptions` - check options
      Returns:
        reference to this, for fluency

Copyright © 2020 Eclipse. All rights reserved.